/*
 * Created on 30 aot 2004
 * Auteur djafaka
 * Projet WebStock
 * Historique et Modification
 *
 */
package com.webstock;

import java.util.Collection;

import java.util.Iterator;

/**
 * @author djafaka
 * 
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */

public class Article {

    /**
     * Identifiant de l'article 
     *  
     * @uml.property name="ArticleID"
     */
    private String ArticleID;

    /**
     *  
     * @uml.property name="ArticleID"
     */
    public String getArticleID() {
        return ArticleID;
    }

    /**
     *  
     * @uml.property name="ArticleID"
     */
    public void setArticleID(String ArticleID) {
        this.ArticleID = ArticleID;
    }

    /**
     *  
     * @uml.property name="Nom"
     */
    private String Nom;

    /**
     *  
     * @uml.property name="Nom"
     */
    public String getNom() {
        return Nom;
    }

    /**
     *  
     * @uml.property name="Nom"
     */
    public void setNom(String Nom) {
        this.Nom = Nom;
    }

    /**
     * Description de l'article 
     *  
     * @uml.property name="Description"
     */
    private String Description;

    /**
     *  
     * @uml.property name="Description"
     */
    public String getDescription() {
        return Description;
    }

    /**
     *  
     * @uml.property name="Description"
     */
    public void setDescription(String Description) {
        this.Description = Description;
    }

    /**
     * Rfrence article au niveau du fournisseur 
     *  
     * @uml.property name="FournisseurID"
     */
    private String[][][][][] FournisseurID;

    /**
     *  
     * @uml.property name="FournisseurID"
     */
    public String[][][][][] getFournisseurID() {
        return FournisseurID;
    }

    /**
     *  
     * @uml.property name="FournisseurID"
     */
    public void setFournisseurID(String[][][][][] FournisseurID) {
        this.FournisseurID = FournisseurID;
    }

    /**
     *  
     * @uml.property name="Poids"
     */
    private double Poids;

    /**
     *  
     * @uml.property name="Poids"
     */
    public double getPoids() {
        return Poids;
    }

    /**
     *  
     * @uml.property name="Poids"
     */
    public void setPoids(double Poids) {
        this.Poids = Poids;
    }

    /**
     *  
     * @uml.property name="Image_Url"
     */
    private String[][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][] image_Urls;

    /**
     *  
     * @uml.property name="Image_Url"
     */
    public String[][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][] getImage_Url() {
        return image_Urls;
    }

    /**
     *  
     * @uml.property name="Image_Url"
     */
    public void setImage_Url(
        String[][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][][] image_Urls) {
        this.image_Urls = image_Urls;
    }

    /**
     *  
     * @uml.property name="inventaire"
     * @uml.associationEnd multiplicity="(1 -1)" inverse="article:com.webstock.Inventaire"
     */
    private Collection inventaire;

    /**
     * 
     * @uml.property name="inventaire"
     */
    public void setInventaire(java.util.Collection value) {
        inventaire = value;
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public Iterator inventaireIterator() {
        return inventaire.iterator();
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public boolean addInventaire(com.webstock.Inventaire element) {
        return inventaire.add(element);
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public boolean removeInventaire(com.webstock.Inventaire element) {
        return inventaire.remove(element);
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public boolean isInventaireEmpty() {
        return inventaire.isEmpty();
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public void clearInventaire() {
        inventaire.clear();
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public boolean containsInventaire(com.webstock.Inventaire element) {
        return inventaire.contains(element);
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public boolean containsAllInventaire(Collection elements) {
        return inventaire.containsAll(elements);
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public int inventaireSize() {
        return inventaire.size();
    }

    /**
     * 
     * @uml.property name="inventaire"
     */
    public com.webstock.Inventaire[] inventaireToArray() {
        return (com.webstock.Inventaire[]) inventaire
            .toArray(new com.webstock.Inventaire[inventaire.size()]);
    }

    /**
     *  
     * @uml.property name="fournisseur"
     * @uml.associationEnd multiplicity="(1 -1)" inverse="article:com.webstock.Fournisseur"
     */
    private Collection fournisseur;

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public void setFournisseur(java.util.Collection value) {
        fournisseur = value;
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public Iterator fournisseurIterator() {
        return fournisseur.iterator();
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public boolean addFournisseur(com.webstock.Fournisseur element) {
        return fournisseur.add(element);
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public boolean removeFournisseur(com.webstock.Fournisseur element) {
        return fournisseur.remove(element);
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public boolean isFournisseurEmpty() {
        return fournisseur.isEmpty();
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public void clearFournisseur() {
        fournisseur.clear();
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public boolean containsFournisseur(com.webstock.Fournisseur element) {
        return fournisseur.contains(element);
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public boolean containsAllFournisseur(Collection elements) {
        return fournisseur.containsAll(elements);
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public int fournisseurSize() {
        return fournisseur.size();
    }

    /**
     * 
     * @uml.property name="fournisseur"
     */
    public com.webstock.Fournisseur[] fournisseurToArray() {
        return (com.webstock.Fournisseur[]) fournisseur
            .toArray(new com.webstock.Fournisseur[fournisseur.size()]);
    }

}